Jeux vidéo

[Wiki]Le JOL Gaming Linux Club, l'antre du jeu Linux

Répondre
Partager Rechercher
Citation :
Publié par Cräxiüm
Borderlands 3
Un bien fin connoisseur.

J'allais dire <<j'attends Dusk>> mais il s'est déjà fait linuxisé chez Steam.Tabarnak.
( Bientôt chez GOG ; je pense l'y prendre ).

Citation :
Publié par PascalC06
kontakt
Il me semble bien ne pas avoir rencontré de problème avec kontakt sur Linux, mais c'était avec FL Studio, et en 2017. Un coup de bol peut-être.
Cool
Citation :
Publié par Comte-Fake
Un bien fin connoisseur.

J'allais dire <<j'attends Dusk>> mais il s'est déjà fait linuxisé chez Steam.Tabarnak.
( Bientôt chez GOG ; je pense l'y prendre ).



Il me semble bien ne pas avoir rencontré de problème avec kontakt sur Linux, mais c'était avec FL Studio, et en 2017. Un coup de bol peut-être.
uhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh
J'ai voulu installer Steam sur Debian 9, mais rien n'y a fait.
À une étape finale de son installation, alors que la popup de Steam mettait son ruban de mise à jour de ses fichiers, toujours venait un message d'erreur dont la résolution d'après les forums linuxiens était l'installation d'une sous-couche 32 bits d'un driver nvidia ou je ne sais pas quoi d'autre.. Une affaire d'OpenGL 32 bits ? Des .so à copier à la main, je crois même, avec des liens symbolique à faire. En gros, le délire complet. Pas avenant ou rassurant du tout avec des avertissements qu'en s'y prenant mal on pouvait ne pas pouvoir redémarrer.

Debian, c'est bien, sauf des fois : l'autre jour, je voulais aussi installer notepadqq, l'équivalent linuxien de notepad++. Mais il faut pas croire. Il ne s'installe pas comme ça.
En fait, il ne s'installe pas du tout. Ils invitent à passer par snap pour l'installation qui n'arrive finalement à rien parce qu'il dit qu'il n'est pas compatible avec "classic". Ne pas arriver à un installer un simple éditeur de textes, c'est champion. Et j'invente rien, hein ! Suffit d'aller regarder là, personne n'arrive à l'installer !

Côté modules d'installations Debian pèche beaucoup, il en rate une sur quinze, et une sur quinze, c'est beaucoup.
Et quand il se loupe, faut aimer les forums aux propos obscurs ou aux manœuvres frisant des pratiques ésotériques.
Moyennant quoi, il me faut chercher des jeux directement en .deb ou .tar.gz et pas par Steam.
Et là, je ne sais pas trop où aller.

Dernière modification par Caniveau Royal ; 22/06/2019 à 18h46.
Tu n'étais pas loin de la solution, normalement il suffit d'installer libnvidia-gl-418:i386 qui te fournit la version 32 bits (le :i386 à la fin) des bibliothèques OpenGL pour les cartes Nvidia. C'est valable sur toutes les distribs 64 bits (i.e. toutes les distribs tout court).
Tu as bien fait de te méfier (comme quoi ça rentre ) des posts de forums te faisant manipuler les .so à la main, les réponses partent souvent dans tous les sens. Sur un sujet aussi bateau mieux vaut se fier à des articles expliquant la marche à suivre de A à Z, par exemple https://wiki.debian.org/fr/Steam#Sys...ts_.28amd64.29

Pour notepadqq, je ne connais pas, mais là encore rien à voir avec Debian, littéralement toutes les distributions sont citées comme ayant des problèmes avec ce soft

Dans les 2 cas tu es sur des problèmes venant des éditeurs pas foutus de faire des packages corrects pour Linux, et qui doivent se dire "C'est des utilisateurs Linux, ils sauront identifier qu'il manque tel package ou comment régler les restrictions de la sandbox dans laquelle on livre notre soft".
Citation :
Publié par Caniveau Royal
J'ai voulu installer Steam sur Debian 9, mais rien n'y a fait.
À une étape finale de son installation, alors que la popup de Steam mettait son ruban de mise à jour de ses fichiers, toujours venait un message d'erreur dont la résolution d'après les forums linuxiens était l'installation d'une sous-couche 32 bits d'un driver nvidia ou je ne sais pas quoi d'autre.. Une affaire d'OpenGL 32 bits ? Des .so à copier à la main, je crois même, avec des liens symbolique à faire. En gros, le délire complet. Pas avenant ou rassurant du tout avec des avertissements qu'en s'y prenant mal on pouvait ne pas pouvoir redémarrer.

Debian, c'est bien, sauf des fois : l'autre jour, je voulais aussi installer notepadqq, l'équivalent linuxien de notepad++. Mais il faut pas croire. Il ne s'installe pas comme ça.
En fait, il ne s'installe pas du tout. Ils invitent à passer par snap pour l'installation qui n'arrive finalement à rien parce qu'il dit qu'il n'est pas compatible avec "classic". Ne pas arriver à un installer un simple éditeur de textes, c'est champion. Et j'invente rien, hein ! Suffit d'aller regarder là, personne n'arrive à l'installer !

Côté modules d'installations Debian pèche beaucoup, il en rate une sur quinze, et une sur quinze, c'est beaucoup.
Et quand il se loupe, faut aimer les forums aux propos obscurs ou aux manœuvres frisant des pratiques ésotériques.
Moyennant quoi, il me faut chercher des jeux directement en .deb ou .tar.gz et pas par Steam.
Et là, je ne sais pas trop où aller.
La 1ère question est de savoir comment tu as installé ton pilote nvidia: as-tu installé celui des dépôts, l'exécutable du site nvidia ou as-tu le pilote libre? Le plus simple étant d'installé le pilote nvidia des dépôts, ensuite tu installes les paquets 32bit du pilote nvidia. Si steam ne se lance pas avec cela, c'est qu'il te manque des dépendances, n'ayant pas accès aux erreurs de ton terminal il existe ue autre solution, celle d'installer Steam avec flatpak https://flathub.org/apps/details/com...software.Steam

Avec Flatpak, c'est un paquet universel contenerisé, contenant tous les dépendances nécessaires au fonctionnement de Steam, et ce, quelque-soit la distro sur laquelle tu te trouves.

En ce qui concerne notepadqq, je ne sais pas pourquoi tu t'ennuies avec celui-ci alors qu'il existe d'autres alternative souvent fournies avec ta distro.
Citation :
Publié par Eyce Karmina
Tu n'étais pas loin de la solution, normalement il suffit d'installer libnvidia-gl-418:i386 qui te fournit la version 32 bits (le :i386 à la fin) des bibliothèques OpenGL pour les cartes Nvidia. C'est valable sur toutes les distribs 64 bits (i.e. toutes les distribs tout court).
Tu as bien fait de te méfier (comme quoi ça rentre ) des posts de forums te faisant manipuler les .so à la main, les réponses partent souvent dans tous les sens. Sur un sujet aussi bateau mieux vaut se fier à des articles expliquant la marche à suivre de A à Z, par exemple https://wiki.debian.org/fr/Steam#Sys...ts_.28amd64.29

Pour notepadqq, je ne connais pas, mais là encore rien à voir avec Debian, littéralement toutes les distributions sont citées comme ayant des problèmes avec ce soft

Dans les 2 cas tu es sur des problèmes venant des éditeurs pas foutus de faire des packages corrects pour Linux, et qui doivent se dire "C'est des utilisateurs Linux, ils sauront identifier qu'il manque tel package ou comment régler les restrictions de la sandbox dans laquelle on livre notre soft".
Mon Steam ne se lance pas pour le moment parce qu'il lui manque deux .so :
libGL.so.1
libdrm.so.2

Mais je suis méfiant, car le lien du wiki Debian dit :

Installez la bibliothèque OpenGL 32 bits :

alert.png L'installation des bibliothèques OpenGL 32 bits pourrait désinstaller les pilotes 64 bits que vous aviez peut-être déjà installés. L'installation des pilotes propriétaires pour les cartes graphiques AMD ou les cartes Nvidia est recommandé. La bibliothèque OpenGL appropriée sera installée avec ces pilotes. Si vous avez installé ces pilotes à partir de jessie-backports, assurez-vous d'installer aussi la bibliothèque 32 bits à partir de jessie-backports.
  • Pour les cartes graphiques Nvidia :
    apt install libgl1-nvidia-glx:i386

Et effectivement, mon :
sudo apt install libgl1-nvidia-glx:i386 -t stretch-backports

déclare qu'il s'apprête à désinstaller le driver 64 bits de nvidia.
Les paquets suivants seront ENLEVÉS :
libgl1-nvidia-glvnd-glx nvidia-driver-libs nvidia-vulkan-common nvidia-vulkan-icd


Ça refroidit, je trouve. Et ensuite, je fais quoi ? Un réinstall du pilote 64 bits nvidia de nouveau ? Ça va tenir droit, tout ça ?
1) Oui, je l'ai fait.

2) Parce que comme j'avais attrapé mes drivers nvidia depuis stretch-backports comme le recommandait l'install nvidia que j'ai faite il y a quelques semaines, j'ai vu dans la page wiki Debian que tu m'as mise qu'il valait mieux aussi prendre le driver GL dans les backports du coup, aussi. Mais peut-être que je me trompe.
Citation :
Publié par Caniveau Royal
Si j'étais futé, et si une image existe, je pourrais peut-être me créer une VM sous Steam OS ?
Je ne sais pas si ça marcherait...
Essaie donc Flatpak ;-)

En ce qui concerne la VM tu auras des performances affreuses.
Message supprimé par son auteur.
Citation :
Publié par SiroTeur
Petit jeu tres sympa pour les linuxiens:
Plus tard dans la semaine, je vais probablement en faire un article.

Résumé : c'est un "petit jeu sympa", un peu city-building, un peu puzzle, pas très profond mais la com' est faites dessus justement pour un jeu limite pause café.

Rien à voir, je passais seulement relayer ceci :

Steam confirme son soutien et sa volonté de promouvoir le jeu sur (les) Linux : https://steamcommunity.com/app/22141...5206447625383/


Citation :
We remain committed to supporting Linux as a gaming platform, and are continuing to drive numerous driver and feature development efforts that we expect will help improve the gaming and desktop experience across all distributions

Dernière modification par Tchey ; 27/06/2019 à 20h22. Motif: Auto-fusion
Aquajouje
Message supprimé par son auteur.
Il y a une liste officielle, déjà, des jeux plus ou moins compatibles Proton ?
Elle m'intéresserait bien, car la restriction SteamOS + Linux, c'est quand même ne voir que 5% des jeux. Et pas vraiment les meilleurs.
Message supprimé par son auteur.
Citation :
Publié par SiroTeur
Desole Tchey, je dois piquer ton titre pour ce message.
Je ne pense pas que dans l'absolu j'ai inventé "À quoi joue-je" !

Depuis trois semaines, je n'ai pas trop joué. Déménagement (de Angers vers le Finistère) + soucis d'installation (très mauvaise isolation phonique, travaux en cours) = moins de temps pour jouer, et moins d'occasion de présenter des trucs et faire des vidéo.

Mez, j'ai joué quand même, nah mé oh.

Pine... Bof, j'accroche pas. C'est un peu Zelda, mais non.
Idling to Rule the Gods... Étonnamment prenant
KeeperRL... Je relance à chaque mise à jour depuis l'Alpha 4 ou 5, chaque fois j'adore.
Door Kickers : Action Squad (via Proton)... Je joue depuis deux mois environ, par petites touches, et j'aime beaucoup.
Dresden Files... Depuis longtemps dans ma ludothèque, je m'y suis mis seulement récemment, et en fait, c'est vachement bien.
Dominus Galaxia... Un KS que je supporte et que vous devriez supporter aussi, mécréant !
Là : https://www.kickstarter.com/projects...ominus-galaxia
Ou là : https://forums.jeuxonline.info/showthread.php?t=1392036


Citation :
Publié par SiroTeur
Oui, tu as ProtonDB: https://www.protondb.com/

Platinum c'est l'idéal, sinon pour Gold et autres tu as souvent des indications sur comment faire tourner le jeu sur Proton sans souci.
Ouep, même quand c'est "Bork" parfois ça marche, faut regarder la date, et les détails s'ils existent.
À partir de Silver c'est souvent directement jouable, avec des éléments qui clochent, genre pas de vidéo d'intro.
À noter que ça n'a rien d'officiel, c'est purement un retour communautaire, donc les surprises (+ ou -) sont possibles.
__________________
* Jeux1d100 ? Le blog Jeux1d100.net sur les jeux indécents et Linux, et la chaîne YouTube *

Dernière modification par Tchey ; 21/10/2019 à 12h59. Motif: Auto-fusion
Message supprimé par son auteur.
Message supprimé par son auteur.
Citation :
Publié par SiroTeur
Bon, Unity of Command 2 ne se lance pas sous Linux avec Proton. Meme pas l'écran d'accueil. Les boules quoi.
Je vais voir ce qu'il est possible de faire pour le lancer. Ca me ferait chier de refund un jeu auquel j'ai vraiment envie de jouer.
Certains disent que ça tourne impéc via Proton. Chez ça ne tourne pas du tout, mais j'ai une excellente raison : je n'ai pas le jeu.
Message supprimé par son auteur.
Citation :
Publié par SiroTeur
Je doute de la véracité de ceux qui le font tourner sans souci ni tweak sur Proton. Le type d'erreur que l'on a au lancement n'est pas lie au matériel je crois.

De fait, je déconseille fortement l'achat en l'état. Je garde le jeu encore quelques jours pour voir si un update corrige le tir. Je refund ce weekend si pas résolu.
ça peut très bien tourner sur Proton en version beta parfois. (la version la plus récente)
Message supprimé par son auteur.
Répondre

Connectés sur ce fil

 
1 connecté (0 membre et 1 invité) Afficher la liste détaillée des connectés